Puppet::Functions.create_function(:'compliance_markup::telemetry') do
  dispatch :telemetry do
    param 'String', :key
  end

  def telemetry(key)
    filename = File.dirname(File.dirname(File.dirname(File.dirname(__FILE__)))) + '/puppetx/simp/compliance_mapper.rb'
    self.instance_eval(File.read(filename),filename)

    retval = nil

    begin
      retval = enforcement(key, { 'mode' => 'telemetry'}) do |k, default|
        call_function('lookup', k, { 'default_value' => default})
      end
    rescue => e
      unless (e.class.to_s == 'ArgumentError')
        debug("Threw error #{e.to_s}")
      end
    end
    retval
  end

  def codebase()
    'compliance_markup::telemetry'
  end

  def environment()
    closure_scope.environment.name.to_s
  end

  def debug(message)
    false
  end
end
