# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`cron`](#cron): Manages /etc/cron.allow and /etc/cron.deny, the cron packages, and the cron service.
* [`cron::install`](#croninstall): Installs cron
* [`cron::service`](#cronservice): Manages the cron service

**Defined types**

* [`cron::user`](#cronuser): Add the user $name to /etc/cron.allow

## Classes

### cron

Manages /etc/cron.allow and /etc/cron.deny, the cron packages, and the cron service.

#### Parameters

The following parameters are available in the `cron` class.

##### `install_tmpwatch`

Data type: `Boolean`

Force installation of the tmpwatch package

* In module data

##### `manage_packages`

Data type: `Boolean`

Enable management of the cron-related packages

Default value: `true`

##### `users`

Data type: `Array[String[1]]`

An array additional cron users to be allowed, using the defined type
cron::user

Default value: []

##### `add_root_user`

Data type: `Boolean`

Ensure that the root user is added to the catalog by default

Default value: `true`

### cron::install

Installs cron

#### Parameters

The following parameters are available in the `cron::install` class.

##### `install_tmpwatch`

Data type: `Boolean`

Whether or not to install the 'tmpwatch' package

* In module data

##### `cron_packages`

Data type: `Array[String[1]]`

The packages required for cron

Default value: ['cronie']

##### `package_ensure`

Data type: `String[1]`

The `ensure` parameter for installed packages

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

### cron::service

Manages the cron service

#### Parameters

The following parameters are available in the `cron::service` class.

##### `service_name`

Data type: `String[1]`

The name of the service

Default value: 'crond'

##### `enable`

Data type: `Boolean`

Enable the `$service_name` service

Default value: `true`

## Defined types

### cron::user

Add the user $name to /etc/cron.allow

#### Parameters

The following parameters are available in the `cron::user` defined type.

##### `name`

The user to add to /etc/cron.allow

##### `pam`

Data type: `Boolean`



Default value: simplib::lookup('simp_options::pam', { 'default_value' => false })

