# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`crypto_policy`](#crypto_policy): Configure the system crypto policy settings
* [`crypto_policy::install`](#crypto_policyinstall): Manage the installation of the crypto policy package(s)
* [`crypto_policy::update`](#crypto_policyupdate): Helper class for triggering a run of update-crypto-policies

## Classes

### `crypto_policy`

Configure the system crypto policy settings

#### Parameters

The following parameters are available in the `crypto_policy` class.

##### `ensure`

Data type: `Optional[String]`

The system crypto policy that you wish to enforce

* Will be checked against `$facts['crypto_policy__state']['global_policies_available']` for validity

Default value: `simplib::lookup('simp_options::fips', { 'default_value' => pick($facts['fips_enabled'], false) })`

##### `validate_policy`

Data type: `Boolean`

Disables validation of the `$ensure` parameter prior to application

Default value: ``true``

##### `force_fips_override`

Data type: `Boolean`

Set this to indicate that you wish to force the system into the mode
specified by `$ensure` even if the system is in FIPS mode

* WARNING: This may break all crypto on your system

Default value: ``false``

##### `manage_installation`

Data type: `Boolean`

Enables management of the system installation via the `crypto_policy::install` class

Default value: ``true``

### `crypto_policy::install`

Manage the installation of the crypto policy package(s)

#### Parameters

The following parameters are available in the `crypto_policy::install` class.

##### `packages`

Data type: `Array[String[1]]`

The list of packages to manage for this capability

Default value: `['crypto-policies']`

##### `package_ensure`

Data type: `String[1]`

The 'ensure' parameter for `$packages`

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

### `crypto_policy::update`

This is deliberately not kept private in case other classes need to trigger
an update but do not wish to include full management

#### Parameters

The following parameters are available in the `crypto_policy::update` class.

##### `command`

Data type: `Stdlib::Absolutepath`

The path to the command to be executed

Default value: `'/usr/bin/update-crypto-policies'`

