# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`fips`](#fips): This module manages the enabling and disabling of FIPS on a system It will set the kernel boot parametes and install/remove the dracut packag

## Classes

### fips

This module manages the enabling and disabling of FIPS on a system
It will set the kernel boot parametes and install/remove the dracut packages
and rebuild initramfs images.

Changing the FIPS status of a system changes the cryptographic modules used.
This can affect existing keys and certificates and make them unusable.  Make
sure these effects are understood before changing the status.

NOTE: The absolute best way of ensuring that your desire to move into FIPS
mode is set across ALL SIMP modules is to set `simp_options::fips` to `true`
in Hiera.

#### Parameters

The following parameters are available in the `fips` class.

##### `enabled`

Data type: `Boolean`

If FIPS should be enabled or disabled on the system.

* NOTE: Given the dangerous nature of FIPS unexpectedly being activated on
  a system, this module mirrors the existing status of FIPS on the system
  to which it is applied.

Default value: simplib::lookup('simp_options::fips', { 'default_value' => $facts['fips_enabled']})

##### `aesni`

Data type: `Boolean`

This parameter indicates whether the system uses the
Advanced Encryption Standard New Instructions set.

Default value: (

##### `dracut_ensure`

Data type: `String`

The ensure status of the dracut-fips and
dracut-fips-aesni packages

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

##### `fipscheck_ensure`

Data type: `String`

The ensure status of the fipscheck package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

##### `nss_ensure`

Data type: `String`

The ensure status of the nss package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

