# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`hirs_provisioner`](#hirs_provisioner): Installs HIRS_Provisioner RPM and configures and registers with HIRS ACA
* [`hirs_provisioner::config`](#hirs_provisionerconfig): Called from `hirs_provisioner` for service config
* [`hirs_provisioner::install`](#hirs_provisionerinstall): Called from hirs_provisioner for install

## Classes

### hirs_provisioner

Installs HIRS_Provisioner RPM and configures and registers with HIRS ACA

#### Parameters

The following parameters are available in the `hirs_provisioner` class.

##### `enable`

Data type: `Boolean`

This module will install and mangage HIRS unless `false`

Default value: `true`

##### `package_ensure`

Data type: `String[1]`

The default ensure parameter for packages.

Default value: simplib::lookup('simp_options::package_ensure', {'default_value' => 'installed'})

##### `tpm_1_2_packages`

Data type: `Hash[String[1], Optional[Hash]]`

A hash of packages needed for HIRS with TPM 1.2.

* NOTE: Setting this will *override* the default package list
* The ensure value can be set in the hash of each package, like the example
  below:

Example: Override packages
```
{ 'HIRS_Provisioner' => { 'ensure' => '3.14.3' } }
```

Default value: { 'HIRS_Provisioner_TPM_1_2' => {} }

##### `tpm_2_0_packages`

Data type: `Hash[String[1], Optional[Hash]]`

A hash of packages needed for HIRS with TPM 2.0.

Default value: { 'HIRS_Provisioner_TPM_2_0' => {} }

### hirs_provisioner::config

Called from `hirs_provisioner` for service config

#### Parameters

The following parameters are available in the `hirs_provisioner::config` class.

##### `aca_fqdn`

Data type: `Simplib::Hostname`

The fully qualified domain name of the Attestation Certificate Authority
(ACA). This will also be used for the Broker and Portal FQDNs.

Default value: 'localhost'

##### `aca_port`

Data type: `Simplib::Port`

The configured listening port for the ACA.

Default value: 8443

##### `broker_port`

Data type: `Simplib::Port`

The configured broker listening port for the ACA.

Default value: 61616

##### `portal_port`

Data type: `Simplib::Port`

The configured portal listening port for the ACA.

Default value: 8443

### hirs_provisioner::install

Called from hirs_provisioner for install

