# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`issue`](#issue): Manage /etc/issue and /etc/issue.net

## Classes

### issue

Manage /etc/issue and /etc/issue.net

#### Parameters

The following parameters are available in the `issue` class.

##### `profile`

Data type: `String`

A pre-included banner that can be used out of the box.

Will be overridden by `$content` and/or `$net_content`

Valid values are defined by the `simp_banners` module but the local module
has the following mappings for legacy support
  * default      => Standard, we watch everything
    * New Option => 'simp'
  * lite         => We only watch for bad things
    * New Option => 'simp_lite'
  * us_doc       => U.S. Department of Commerce
    * New Option => 'us/department_of_commerce'
  * us_doc_lite  => U.S. Department of Commerce lite
    * New Option => 'us/department_of_commerce_lite'
  * us_dod       => U.S. Department of Defense (STIG Compat)
    * New Option => 'us/department_of_defense'
  * us_noaa      => U.S. National Oceanic and Atmospehric
                    Administration
    * New Option => 'us/national_oceanic_and_atmospheric_administration'

Default value: 'default'

##### `content`

Data type: `Optional[String]`

Defaults to a stock `/etc/issue` file in the module. Provide a custom
string or file reference to customize. Follows the `File` resource
`content` parameter syntax.

Default value: `undef`

##### `source`

Data type: `Optional[Pattern[/^puppet:/, /^file:/, /^http:/]]`

Provide a file resource pointer that can be used to set the source of
the file to use for a banner. Cannot be set with $content. Follows the
`File` resource `source` parameter syntax.

Default value: `undef`

##### `net_link`

Data type: `Boolean`

If set, links `/etc/issue.net` to `/etc/issue`

Default value: `true`

##### `net_content`

Data type: `Optional[String]`

If `$net_link` is `false`, this content will be written to the
`/etc/issue.net` file on the system. Follows the `File` resource `content`
parameter syntax.

Default value: `undef`

