# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`kdump`](#kdump): Manage kdump

## Classes

### kdump

Manage kdump

#### Examples

##### Use default actions of ensuring kdump is stopped

```puppet
class { 'kdump': }
```

##### Example of how to enable kdump

```puppet
class { 'kdump':
  enable => true,
}
```

#### Parameters

The following parameters are available in the `kdump` class.

##### `enable`

Data type: `Boolean`

Set state of kdump.
`true` - Ensure service running and crashkernel kernel argument set
`false` - Ensure service stopped and crashkernel kernel argument absent

Default value: `false`

##### `crashkernel`

Data type: `String`

Kernel crashkernel argument value

Default value: 'auto'

##### `crashkernel_bootmode`

Data type: `String`

The bootmode for crashkernel kernel argument

Default value: 'all'

##### `bootloader_config_path`

Data type: `Optional[Stdlib::AbsolutePath]`

Path to boot loader config

Default value: `undef`

##### `package_name`

Data type: `String`

Package name that provides kdump.

Default value: 'kexec-tools'

##### `service_name`

Data type: `String`

Service name for kdump.

Default value: 'kdump'

##### `service_ensure`

Data type: `Optional[String]`

The service ensure property for kdump.

Default value: `undef`

##### `service_enable`

Data type: `Optional[Boolean]`

The service enable property for kdump.

Default value: `undef`

##### `service_hasstatus`

Data type: `Boolean`

The service hasstatus property for kdump.

Default value: `true`

##### `service_hasrestart`

Data type: `Boolean`

The service hasrestart property for kdump.

Default value: `true`

##### `config_path`

Data type: `Stdlib::AbsolutePath`

The configuration file path for kdump.

Default value: '/etc/kdump.conf'

##### `config_overrides`

Data type: `Hash`

Hash of config values to add to kdump.conf

Default value: {}

##### `kernel_parameter_provider`

Data type: `String`

The provider property for the kernel_parameter defined type.

Default value: 'grub2'

##### `grub_kdump_cfg`

Data type: `Optional[String]`

Path to grub2 kdump config. Only used on Ubuntu.

Default value: `undef`

