# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`simp_grub`](#simp_grub): Manage common GRUB attributes  Advanced configuration will need to use the `augeasproviders_grub` components directly.

## Classes

### simp_grub

Manage common GRUB attributes

Advanced configuration will need to use the `augeasproviders_grub` components
directly.

#### Parameters

The following parameters are available in the `simp_grub` class.

##### `password`

Data type: `String[1]`

The GRUB administrative password, if not in the hashed form, will be
converted for you.

If a password starts with '$1$', '$5$', or '$6$' then it is assumed to be
encrypted.

##### `admin`

Data type: `Optional[String[1]]`

The administrative username GRUB 2 systems.

Default value: `undef`

##### `purge_unmanaged_users`

Data type: `Optional[Boolean]`

Remove users from GRUB 2 systems that are not managed by Puppet.

Default value: `undef`

##### `report_unmanaged_users`

Data type: `Optional[Boolean]`

Report on any unmanaged users on GRUB 2 systems.

Default value: `undef`

##### `hash_rounds`

Data type: `Optional[Integer[10]]`

The rounds to use when hashing the password for GRUB 2 systems.

Default value: `undef`

