# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`tuned`](#tuned): Manages the activation of tuned  The following options only affect 'tuned'

## Classes

### tuned

Manages the activation of tuned

The following options only affect 'tuned'

#### Parameters

The following parameters are available in the `tuned` class.

##### `use_sysctl`

Data type: `Boolean`

This is the custom sysctl configuration file.  Set to false to
use only the ktune settings.

Default value: `true`

##### `use_sysctl_post`

Data type: `Boolean`

This is the ktune sysctl file.  Any settings in this file will be applied
after custom settings, overriding them.  Comment this out to not use ktune
settings.

Default value: `false`

##### `io_scheduler`

Data type: `Tuned::IoSchedule`

This is the I/O scheduler ktune will use.  This will *not* override
anything explicitly set on the kernel command line, nor will it change
the scheduler for any block device that is using a non-default scheduler
when ktune starts.  You should probably leave this on "deadline", but
"as", "cfq", and "noop" are also legal values.

Default value: 'deadline'

##### `elevator_tune_devs`

Data type: `Array[String]`

These are the devices, that should be tuned with the ELEVATOR

Default value: ['hd','sd','cciss']

##### `tuning_interval`

Data type: `Integer`

The number of seconds between tuning runs.

Default value: 10

##### `diskmonitor_enable`

Data type: `Boolean`

Enable the disk monitoring plugin.

Default value: `true`

##### `disktuning_enable`

Data type: `Boolean`

Enable the disk tuning plugin.

Default value: `true`

##### `disktuning_hdparm`

Data type: `Boolean`

Use 'hdparm' for disk tuning.

Default value: `true`

##### `disktuning_alpm`

Data type: `Boolean`

Use 'ALPM' when disk tuning.

Default value: `true`

##### `netmonitor_enable`

Data type: `Boolean`

Enable the network monitoring plugin.

Default value: `true`

##### `nettuning_enable`

Data type: `Boolean`

Enable the network tuning plugin.

Default value: `true`

##### `cpumonitor_enable`

Data type: `Boolean`

Enable the CPU monitoring plugin.

Default value: `true`

##### `cputuning_enable`

Data type: `Boolean`

Enable the CPU tuning plugin.

Default value: `true`

##### `package_ensure`

Data type: `String`

The ensure status of the tuned package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

