# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`vnc`](#vnc): This does nothing!
* [`vnc::client`](#vncclient): Makes sure the latests vnc package is installed.
* [`vnc::server`](#vncserver): Installs vnc-server, includes GDM for configuration, and sets up some default vnc sessions.  NOTE: You *MUST* set the following in Hiera to e

**Defined types**

* [`vnc::server::create`](#vncservercreate): Create a new VNC Server Session  Desktop gets set to 'name'.

## Classes

### vnc

This does nothing!

### vnc::client

Makes sure the latests vnc package is installed.

#### Parameters

The following parameters are available in the `vnc::client` class.

##### `package_ensure`

Data type: `String`

The ensure status of tigervnc client package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

### vnc::server

Installs vnc-server, includes GDM for configuration, and sets up some default
vnc sessions.

NOTE: You *MUST* set the following in Hiera to enable XDMCP. VNC will not
work without it.

#### Examples

##### 

```puppet
---
gdm::settings:
  xdmcp:
    Enable: true
```

#### Parameters

The following parameters are available in the `vnc::server` class.

##### `package_ensure`

Data type: `String`

The ensure status of the tigervnc-server package

Default value: simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })

## Defined types

### vnc::server::create

Create a new VNC Server Session

Desktop gets set to 'name'.

#### Examples

##### 

```puppet
vnc::server::create { 'vnc_default':
  port => '5900'
}
```

#### Parameters

The following parameters are available in the `vnc::server::create` defined type.

##### `port`

Data type: `Integer`

Port on which you wish to enable the VNC session

##### `geometry`

Data type: `String`

Resolution of your VNC session

Default value: '800x600'

##### `depth`

Data type: `Integer`

Specifies the pixel depth, in bits, of the desktop

Default value: 16

##### `screensaver_timeout`

Data type: `Integer`

Time after which to disable the screensaver, in minutes.

Default value: 15

